| GET | /api/customers |
| GET | /api/customers/:id |
| GET | /api/customers/:id/stats |
| POST | /api/customers |
| PUT | /api/customers/:id |
| GET | /api/customers/:id/delete-impact |
| DELETE | /api/customers/:id |
List customers
GET/api/customers
Authentication: bearer token.
Permission: customers.view.
curl -X GET "https://shellius.example.com/api/customers" \
-H "Authorization: Bearer $SHELLIUS_TOKEN"200 OK
{ "success": true, "data": { … } }Get customer
GET/api/customers/:id
Authentication: bearer token.
Permission: customers.view.
Path parameters
| Name | Type | Notes |
|---|---|---|
id | string |
curl -X GET "https://shellius.example.com/api/customers/{id}" \
-H "Authorization: Bearer $SHELLIUS_TOKEN"200 OK
{ "success": true, "data": { … } }Customer server stats
GET/api/customers/:id/stats
Authentication: bearer token.
Permission: customers.view.
Path parameters
| Name | Type | Notes |
|---|---|---|
id | string |
curl -X GET "https://shellius.example.com/api/customers/{id}/stats" \
-H "Authorization: Bearer $SHELLIUS_TOKEN"200 OK
{ "success": true, "data": { … } }Create customer
POST/api/customers
Authentication: bearer token.
Permission: customers.create.
Request body
| Name | Type | Required | Notes |
|---|---|---|---|
name | string | Yes | 1–200 characters. |
slug | string | No | |
description | string | No | At most 1000 characters. May be null. |
metadata | object | No |
curl -X POST "https://shellius.example.com/api/customers" \
-H "Authorization: Bearer $SHELLIUS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "…"
}'201 Created
{ "success": true, "data": { … } }Update customer
PUT/api/customers/:id
Authentication: bearer token.
Permission: customers.update.
Path parameters
| Name | Type | Notes |
|---|---|---|
id | string |
Request body
| Name | Type | Required | Notes |
|---|---|---|---|
name | string | No | 1–200 characters. |
description | string | No | At most 1000 characters. May be null. |
metadata | object | No | |
isActive | boolean | No |
curl -X PUT "https://shellius.example.com/api/customers/{id}" \
-H "Authorization: Bearer $SHELLIUS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "…",
"description": "…",
"metadata": {}
}'200 OK
{ "success": true, "data": { … } }Preview customer delete impact
GET/api/customers/:id/delete-impact
Authentication: bearer token.
Permission: customers.delete.
Path parameters
| Name | Type | Notes |
|---|---|---|
id | string |
curl -X GET "https://shellius.example.com/api/customers/{id}/delete-impact" \
-H "Authorization: Bearer $SHELLIUS_TOKEN"200 OK
{ "success": true, "data": { … } }Delete customer
DELETE/api/customers/:id
Authentication: bearer token.
Permission: customers.delete.
Path parameters
| Name | Type | Notes |
|---|---|---|
id | string |
curl -X DELETE "https://shellius.example.com/api/customers/{id}" \
-H "Authorization: Bearer $SHELLIUS_TOKEN"200 OK
{ "success": true, "data": { … } }